Package org.apache.cayenne.exp.parser

## Interface ExpressionParserTreeConstants

- All Known Implementing Classes:
    `ExpressionParser`

      public interface ExpressionParserTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `JJTABS` |
    `static int` | `JJTADD` |
    `static int` | `JJTAND` |
    `static int` | `JJTASTERISK` |
    `static int` | `JJTAVG` |
    `static int` | `JJTBETWEEN` |
    `static int` | `JJTBITWISEAND` |
    `static int` | `JJTBITWISELEFTSHIFT` |
    `static int` | `JJTBITWISENOT` |
    `static int` | `JJTBITWISEOR` |
    `static int` | `JJTBITWISERIGHTSHIFT` |
    `static int` | `JJTBITWISEXOR` |
    `static int` | `JJTCONCAT` |
    `static int` | `JJTCOUNT` |
    `static int` | `JJTCURRENTDATE` |
    `static int` | `JJTCURRENTTIME` |
    `static int` | `JJTCURRENTTIMESTAMP` |
    `static int` | `JJTCUSTOMFUNCTION` |
    `static int` | `JJTCUSTOMOPERATOR` |
    `static int` | `JJTDBIDPATH` |
    `static int` | `JJTDBPATH` |
    `static int` | `JJTDISTINCT` |
    `static int` | `JJTDIVIDE` |
    `static int` | `JJTENUM` |
    `static int` | `JJTEQUAL` |
    `static int` | `JJTEXTRACT` |
    `static int` | `JJTFALSE` |
    `static int` | `JJTGREATER` |
    `static int` | `JJTGREATEROREQUAL` |
    `static int` | `JJTIN` |
    `static int` | `JJTLENGTH` |
    `static int` | `JJTLESS` |
    `static int` | `JJTLESSOREQUAL` |
    `static int` | `JJTLIKE` |
    `static int` | `JJTLIKEIGNORECASE` |
    `static int` | `JJTLIST` |
    `static int` | `JJTLOCATE` |
    `static int` | `JJTLOWER` |
    `static int` | `JJTMAX` |
    `static int` | `JJTMIN` |
    `static int` | `JJTMOD` |
    `static int` | `JJTMULTIPLY` |
    `static int` | `JJTNAMEDPARAMETER` |
    `static int` | `JJTNEGATE` |
    `static String[]` | `jjtNodeName` |
    `static int` | `JJTNOT` |
    `static int` | `JJTNOTBETWEEN` |
    `static int` | `JJTNOTEQUAL` |
    `static int` | `JJTNOTIN` |
    `static int` | `JJTNOTLIKE` |
    `static int` | `JJTNOTLIKEIGNORECASE` |
    `static int` | `JJTOBJPATH` |
    `static int` | `JJTOR` |
    `static int` | `JJTSCALAR` |
    `static int` | `JJTSQRT` |
    `static int` | `JJTSUBSTRING` |
    `static int` | `JJTSUBTRACT` |
    `static int` | `JJTSUM` |
    `static int` | `JJTTRIM` |
    `static int` | `JJTTRUE` |
    `static int` | `JJTUPPER` |
    `static int` | `JJTVOID` |

- - ### Field Detail

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTOR

          static final int JJTOR

      See Also:
        Constant Field Values

    - #### JJTAND

          static final int JJTAND

      See Also:
        Constant Field Values

    - #### JJTNOT

          static final int JJTNOT

      See Also:
        Constant Field Values

    - #### JJTTRUE

          static final int JJTTRUE

      See Also:
        Constant Field Values

    - #### JJTFALSE

          static final int JJTFALSE

      See Also:
        Constant Field Values

    - #### JJTEQUAL

          static final int JJTEQUAL

      See Also:
        Constant Field Values

    - #### JJTNOTEQUAL

          static final int JJTNOTEQUAL

      See Also:
        Constant Field Values

    - #### JJTLESSOREQUAL

          static final int JJTLESSOREQUAL

      See Also:
        Constant Field Values

    - #### JJTLESS

          static final int JJTLESS

      See Also:
        Constant Field Values

    - #### JJTGREATER

          static final int JJTGREATER

      See Also:
        Constant Field Values

    - #### JJTGREATEROREQUAL

          static final int JJTGREATEROREQUAL

      See Also:
        Constant Field Values

    - #### JJTLIKE

          static final int JJTLIKE

      See Also:
        Constant Field Values

    - #### JJTLIKEIGNORECASE

          static final int JJTLIKEIGNORECASE

      See Also:
        Constant Field Values

    - #### JJTIN

          static final int JJTIN

      See Also:
        Constant Field Values

    - #### JJTBETWEEN

          static final int JJTBETWEEN

      See Also:
        Constant Field Values

    - #### JJTNOTLIKE

          static final int JJTNOTLIKE

      See Also:
        Constant Field Values

    - #### JJTNOTLIKEIGNORECASE

          static final int JJTNOTLIKEIGNORECASE

      See Also:
        Constant Field Values

    - #### JJTNOTIN

          static final int JJTNOTIN

      See Also:
        Constant Field Values

    - #### JJTNOTBETWEEN

          static final int JJTNOTBETWEEN

      See Also:
        Constant Field Values

    - #### JJTLIST

          static final int JJTLIST

      See Also:
        Constant Field Values

    - #### JJTSCALAR

          static final int JJTSCALAR

      See Also:
        Constant Field Values

    - #### JJTBITWISEOR

          static final int JJTBITWISEOR

      See Also:
        Constant Field Values

    - #### JJTBITWISEXOR

          static final int JJTBITWISEXOR

      See Also:
        Constant Field Values

    - #### JJTBITWISEAND

          static final int JJTBITWISEAND

      See Also:
        Constant Field Values

    - #### JJTBITWISELEFTSHIFT

          static final int JJTBITWISELEFTSHIFT

      See Also:
        Constant Field Values

    - #### JJTBITWISERIGHTSHIFT

          static final int JJTBITWISERIGHTSHIFT

      See Also:
        Constant Field Values

    - #### JJTADD

          static final int JJTADD

      See Also:
        Constant Field Values

    - #### JJTSUBTRACT

          static final int JJTSUBTRACT

      See Also:
        Constant Field Values

    - #### JJTMULTIPLY

          static final int JJTMULTIPLY

      See Also:
        Constant Field Values

    - #### JJTDIVIDE

          static final int JJTDIVIDE

      See Also:
        Constant Field Values

    - #### JJTBITWISENOT

          static final int JJTBITWISENOT

      See Also:
        Constant Field Values

    - #### JJTNEGATE

          static final int JJTNEGATE

      See Also:
        Constant Field Values

    - #### JJTCUSTOMFUNCTION

          static final int JJTCUSTOMFUNCTION

      See Also:
        Constant Field Values

    - #### JJTCUSTOMOPERATOR

          static final int JJTCUSTOMOPERATOR

      See Also:
        Constant Field Values

    - #### JJTCONCAT

          static final int JJTCONCAT

      See Also:
        Constant Field Values

    - #### JJTSUBSTRING

          static final int JJTSUBSTRING

      See Also:
        Constant Field Values

    - #### JJTTRIM

          static final int JJTTRIM

      See Also:
        Constant Field Values

    - #### JJTLOWER

          static final int JJTLOWER

      See Also:
        Constant Field Values

    - #### JJTUPPER

          static final int JJTUPPER

      See Also:
        Constant Field Values

    - #### JJTLENGTH

          static final int JJTLENGTH

      See Also:
        Constant Field Values

    - #### JJTLOCATE

          static final int JJTLOCATE

      See Also:
        Constant Field Values

    - #### JJTABS

          static final int JJTABS

      See Also:
        Constant Field Values

    - #### JJTSQRT

          static final int JJTSQRT

      See Also:
        Constant Field Values

    - #### JJTMOD

          static final int JJTMOD

      See Also:
        Constant Field Values

    - #### JJTASTERISK

          static final int JJTASTERISK

      See Also:
        Constant Field Values

    - #### JJTCOUNT

          static final int JJTCOUNT

      See Also:
        Constant Field Values

    - #### JJTAVG

          static final int JJTAVG

      See Also:
        Constant Field Values

    - #### JJTMAX

          static final int JJTMAX

      See Also:
        Constant Field Values

    - #### JJTMIN

          static final int JJTMIN

      See Also:
        Constant Field Values

    - #### JJTSUM

          static final int JJTSUM

      See Also:
        Constant Field Values

    - #### JJTCURRENTDATE

          static final int JJTCURRENTDATE

      See Also:
        Constant Field Values

    - #### JJTCURRENTTIME

          static final int JJTCURRENTTIME

      See Also:
        Constant Field Values

    - #### JJTCURRENTTIMESTAMP

          static final int JJTCURRENTTIMESTAMP

      See Also:
        Constant Field Values

    - #### JJTEXTRACT

          static final int JJTEXTRACT

      See Also:
        Constant Field Values

    - #### JJTDISTINCT

          static final int JJTDISTINCT

      See Also:
        Constant Field Values

    - #### JJTNAMEDPARAMETER

          static final int JJTNAMEDPARAMETER

      See Also:
        Constant Field Values

    - #### JJTOBJPATH

          static final int JJTOBJPATH

      See Also:
        Constant Field Values

    - #### JJTDBPATH

          static final int JJTDBPATH

      See Also:
        Constant Field Values

    - #### JJTENUM

          static final int JJTENUM

      See Also:
        Constant Field Values

    - #### JJTDBIDPATH

          static final int JJTDBIDPATH

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName